echo on

set JAVA=C:\Java\zulu17.44.15-ca-jdk17.0.8-win_x64\bin\java.exe
set JMXport=12345
%JAVA% -XX:+HeapDumpOnOutOfMemoryError -Dcom.sun.management.jmxremote.port=%JMXport% -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -jar APIGateway.jar

pause
